import React from 'react'

export default class ListPoster extends React.PureComponent {
  constructor(props) {
    super(props);
  }
  render() {
    const selected = this.props.selected ? ' thumbnail-selected' : '';
    const imgClass = 'thumbnail' + selected;
    const displayClearFixLg = (this.props.index % 6) === 0;
    const displayClearFixMd = (this.props.index % 4) === 0;
    const displayClearFixSm = (this.props.index % 2) === 0;
    return (
      <div>
        {displayClearFixLg &&
            <div className="clearfix visible-lg"></div>
        }
        {displayClearFixMd &&
            <div className="clearfix visible-md"></div>
        }
        {displayClearFixSm &&
            <div className="clearfix visible-sm"></div>
        }
        <div className="col-xs-12 col-sm-6 col-md-3 col-lg-2">
          <a className={imgClass}>
            <img
              src={this.props.data.get('poster_url')}
              onClick={this.props.onClick}
            />
          </a>
        </div>
      </div>
    );
  }
}
